import { View,Text } from "@tarojs/components";
import Buttons from "@components/Buttons";
import SingleSelect from "@components/SingleSelect";
import Rings from '@components/Rings';
import { ButtonType,ComponentStatus } from "../utils/types";
import Taro from "@tarojs/taro";

export default function Login(){
    const  array:any[] = []
    array.push('ffff');
    array.push(<Text>ffff</Text>)
    array.push(<Rings  radius={50} strokeWidth={5} color={"pink"}/>)

    function goAuth(){
        // console.log('goAuth')
        Taro.navigateTo({
            url:'/pages/Auth'
        })
    }

    return (
        <View  style={{backgroundColor:'#000'}}>
            <Text>login</Text>
            <Buttons title="Login" onClick={()=>goAuth()}></Buttons>
            <View style={{height:10}}/>
            <Buttons title="Register" type={ButtonType.outline}></Buttons>
            <View style={{height:10}}/>
            <Buttons title="Login" status={ComponentStatus.disable}></Buttons>
            <View style={{height:10}}/>
            <SingleSelect items={['A','B','C']}></SingleSelect>
            {/* <Rings radius={50} strokeWidth={5} color={"pink"}/> */}
            <SingleSelect items={array}></SingleSelect>
            {/* <Rings radius={50} strokeWidth={0} color={""}/> */}
        </View>
    )
}